@mixin app-assign-tad-liaison-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);
  
    app-assign-tad-liaison {
      width: 100%;
      padding: 5px;
      overflow-x: hidden;
    }  
  
    .assign-tad-liaison {
      margin-top: 30px !important;
      display: flex;
      flex-direction: column;
      padding: 5px;
      background-color: mat-color($primary, 50);
      
      .tad-liaison-main-card {
        display: flex;
        flex-direction: column;
        padding: 0px;
        background-color: mat-color($primary, 50);
  


        .inner-card-full {
          display: flex;
          flex: auto;
          padding: 0px !important;
          margin-bottom: 0px !important;
  
          .mat-card-content {
            padding-left: 0;

            
          }
  
          .vcs-btn-rows {
            flex-direction: row !important;
          }
  
          button {
            min-width: 160px;
            height: 45px !important;
            margin: 2px;
            margin-left: 0px;
            margin-right: 25px !important;
            text-align: left;
  
            .mat-icon {
              width: 30px;
              height: 25px;
              padding: 0px;
              padding-bottom: 0;
              font-size: 2.6em;
            }
  
            .multiline-icon {
              padding-top: 10px;
            }
  
            .mat-button-ripple-round {
              border-radius: 0 !important;
            }
  
            .btn-text {
              padding: 6px;
              color: black;
              font-size: 0.9em;
            }
  
            .line-break {
              padding: 0px 8px;
              display: table;
              margin-left: 36px;
              margin-top: -24px;
            }
          }
        }
  




        .mat-card-header {
          width: 100%;
        }
  
        .top-header-filter {
            display: flex;
            padding: 0px 5px;
            margin: 0px 5px 0px 10px;
            font-size: 0.9em;
            line-height: 40px;
  
            .left-text {
              display: flex;
              flex: auto;
              margin-right: 10px !important;
  
              .mat-form-field {
                flex: auto;
              }
            }

            .right-text {
              display: flex;
              flex: auto;
              margin-right: 15px;
  
              .mat-form-field {
                flex: auto;
              }
            }
          }
        .mat-card-content {  
          .example-small-box {
            display: flex;
            align-items: center;
            justify-content: center;
            background: white;
            .example-container {
              width: 100%;
              margin-right: 10px;
              margin-left: 10px;
            }
          }  
          .table-filters-header {
            margin-top: 20px;
            width: 100%;
            background-color: white;
            border: 1px solid #eaf0fb;

            .table-top-icons {
              mat-icon {
                padding: 5px;
              }

              mat-icon:hover {
                cursor: pointer;
                // color: #FF5722;
                color: mat-color($warn);
              }
            }    
          }

          .btn-section {
            width: 100%;
            padding: 10px;
            margin: 5px 0px;
          }
          
        }

        #supervisor-select {
          .mat-form-field-flex>.mat-form-field-infix {
            padding: 0.8em 0px !important;
            height: 30px;
          }
          .mat-form-field-infix {
            border-top: 0.14375em solid transparent;
          }
          
         }
       
        
      }

      
  
    }
  }